Subject: Re: [PATCH v4 08/23] ewah: compressed bitmap implementation

From: Jonathan Nieder <[email-masked]>
Date: Thu, 23 Jan 2014 14:33:18 -0800

Jeff King wrote:
> On Thu, Jan 23, 2014 at 02:17:55PM -0800, Jonathan Nieder wrote:

>> I don't think that's a big issue.  A pair of 4-byte reads would not be
>> too slow.
>
> The header is actually two separate 4-byte values, so that's fine. But
> between the header and trailer are a series of 8-byte data values, and
> that is what we need the 8-byte alignment for.

Sorry for the lack of clarity.  What I meant is that a 4-byte aligned
8-byte value can be read using a pair of 4-byte reads, which is less
of a performance issue than a completely unaligned value.

[...]
> Anyway, this is all academic until we are designing bitmap v2, which I
> do not plan on doing anytime soon.

Sure, fair enough. :)

Jonathan